Skip to main content
GET
/
invoices
/
credit-notes
/
{id}
Retrieve an invoice credit note
curl --request GET \
  --url https://api.syntage.com/invoices/credit-notes/{id} \
  --header 'X-API-Key: <api-key>'
{
  "@context": "/contexts/InvoiceCreditNote",
  "@id": "/invoices/credit-notes/91106968-1abd-4d64-85c1-4e73d96fb997",
  "@type": "InvoiceCreditNote",
  "id": "91106968-1abd-4d64-85c1-4e73d96fb997",
  "appliedInvoice": "/invoices/91106968-1abd-4d64-85c1-4e73d96fb997",
  "issuedInvoice": "/invoices/91106968-1abd-4d64-85c1-4e73d96fb997",
  "appliedInvoiceUuid": "def404af-5eef-4112-aa99-d1ec8493b89a",
  "issuedInvoiceUuid": "def404af-5eef-4112-aa99-d1ec8493b89a",
  "issuedAt": "2023-11-07T05:31:56Z",
  "proportionalRate": 19.8,
  "amount": 19.8,
  "subTotalAmount": 19.8,
  "issuedInvoiceTotal": 19.8,
  "canceledAt": "2023-11-07T05:31:56Z",
  "createdAt": "2020-01-01T12:15:00.000Z",
  "updatedAt": "2020-01-01T12:15:00.000Z"
}

Authorizations

X-API-Key
string
header
required

Your API key is available in the Production and Sandbox dashboards.

Path Parameters

id
string<uuid>
required

Response

Invoice credit note resource response

@context
string
default:/contexts/InvoiceCreditNote
@id
string<iri-reference>

Invoice Credit Note IRI reference

Example:

"/invoices/credit-notes/91106968-1abd-4d64-85c1-4e73d96fb997"

@type
string
default:InvoiceCreditNote
id
string<uuid>

Invoice credit note ID

Example:

"91106968-1abd-4d64-85c1-4e73d96fb997"

appliedInvoice
string<iri-reference> | null

Invoice receiving the credit

Example:

"/invoices/91106968-1abd-4d64-85c1-4e73d96fb997"

issuedInvoice
string<iri-reference> | null

Invoice issuing the credit

Example:

"/invoices/91106968-1abd-4d64-85c1-4e73d96fb997"

appliedInvoiceUuid
string<uuid> | null

UUID of the invoice receiving the credit

Example:

"def404af-5eef-4112-aa99-d1ec8493b89a"

issuedInvoiceUuid
string<uuid> | null

UUID of the invoice issuing the credit

Example:

"def404af-5eef-4112-aa99-d1ec8493b89a"

issuedAt
string<date-time>

Date and time the credit note invoice was issued

proportionalRate
number<float> | null

The proportional credit rate applied to the target invoice.

Example:

19.8

amount
number<float>

The total amount of credits applied to the target invoice.

Example:

19.8

subTotalAmount
number<float> | null

Credit note subtotal before taxes

Example:

19.8

issuedInvoiceTotal
number<float>

The total of the issued invoice that was taken into account to calculate the credit.

Example:

19.8

canceledAt
string<date-time> | null

Date and time the credit note invoice was canceled

createdAt
string

Date and time the resource was created

Example:

"2020-01-01T12:15:00.000Z"

updatedAt
string

Date and time the resource was last updated

Example:

"2020-01-01T12:15:00.000Z"